WITH csrSalesByProduct (ProductID, nYear, TotalSales)
AS
(SELECT ProductID, YEAR(OrderDate), SUM(LineTotal) 
	FROM [Sales].[SalesOrderHeader] SOH
	  JOIN [Sales].[SalesOrderDetail] SOD
	    ON SOH.SalesOrderID = SOD.SalesOrderDetailID
	GROUP BY ProductID, YEAR(OrderDate))

SELECT SBP.ProductID, Name, nYear, TotalSales
	FROM csrSalesByProduct SBP
	  JOIN Production.Product
	    ON SBP.ProductID = Product.ProductID
	ORDER BY nYear, TotalSales DESC