WITH csrSalesByCustomer (CustomerID, nMonth, nYear, TotalSales)
AS
(SELECT CustomerID, MONTH(OrderDate), YEAR(OrderDate), SUM(SubTotal)
	FROM [Sales].[SalesOrderHeader]
	GROUP BY CustomerID, MONTH(OrderDate), Year(OrderDate)),

csrNinetiethPctile (nMonth, nYear, Cutoff)
AS
(SELECT DISTINCT nMonth, nYear, 
        PERCENTILE_CONT(.9) WITHIN GROUP (ORDER BY TotalSales) OVER (PARTITION BY nMonth, nYear )
	FROM csrSalesByCustomer)

SELECT CustomerID, SBC.nMonth, SBC.nYear, SBC.TotalSales, NPtile.Cutoff
	FROM csrSalesByCustomer SBC
	  JOIN csrNinetiethPctile NPtile
	    ON SBC.nMonth = NPtile.nMonth
		AND SBC.nYear = NPtile.nYear
	WHERE SBC.TotalSales >= NPtile.Cutoff
	ORDER BY nYear, nMonth, TotalSales DESC