CREATE TABLE #People (PersonID INT, FirstName nVarchar(50), MiddleName nVarchar(50), LastName nVarchar(50));

INSERT INTO #People
	SELECT BusinessEntityID, FirstName, MiddleName, LastName
		FROM Person.Person;

SELECT COUNT(*) FROM #People;

WITH csrFindDups (PersonID, RecNo)
AS
(SELECT PersonID, 
        ROW_NUMBER() OVER (PARTITION BY FirstName, MiddleName, LastName ORDER BY PersonID) 
	FROM #People
	)

DELETE FROM #People
  WHERE PersonID IN (SELECT PersonID FROM csrFindDups WHERE RecNo > 1);

SELECT COUNT(*) FROM #People;

DROP TABLE #People
