SELECT FirstName, LastName, StartDate, Department.Name,
       RANK() OVER (PARTITION BY Department.DepartmentID ORDER BY StartDate) AS EmployeeRank,
       CUME_DIST() OVER (PARTITION BY Department.DepartmentID ORDER BY StartDate) AS CumeDist,
	   PERCENT_RANK() OVER (PARTITION BY Department.DepartmentID ORDER BY StartDate) AS PctRank
FROM HumanResources.Employee
 JOIN HumanResources.EmployeeDepartmentHistory EDH
   ON Employee.BusinessEntityID = EDH.BusinessEntityID
 JOIN HumanResources.Department
   ON EDH.DepartmentID = Department.DepartmentID
 JOIN Person.Person 
   ON Employee.BusinessEntityID = Person.BusinessEntityID
 WHERE EndDate IS null