WITH PriorDept (BusinessEntityID, DeptName)
AS
(SELECT DISTINCT BusinessEntityID, 
        LAST_VALUE(Name) OVER (PARTITION BY BusinessEntityID ORDER BY EndDate  
		                       RANGE BETWEEN UNBOUNDED PRECEDING AND UNBOUNDED FOLLOWING)
	FROM HumanResources.EmployeeDepartmentHistory EDH
	  JOIN HumanResources.Department
	    ON EDH.DepartmentID = Department.DepartmentID
	WHERE EndDate IS NOT NULL)

SELECT Person.BusinessEntityID, FirstName, LastName, Name AS DeptName, PriorDept.DeptName AS PriorDeptName
  FROM Person.Person
    JOIN HumanResources.EmployeeDepartmentHistory EDH
	  ON Person.BusinessEntityID = EDH.BusinessEntityID
	  AND EDH.EndDate IS NULL
	JOIN HumanResources.Department
	  ON EDH.DepartmentID = Department.DepartmentID
	LEFT JOIN PriorDept
	  ON Person.BusinessEntityID = PriorDept.BusinessEntityID;
  