WITH LastXfer (BusinessEntityID, LastEndDate)
AS
(SELECT BusinessEntityID, MAX(EndDate)
	FROM HumanResources.EmployeeDepartmentHistory EDH
	WHERE EndDate IS NOT NULL
	GROUP BY BusinessEntityID),

PriorDept (BusinessEntityID, DeptName)
AS
(SELECT EDH.BusinessEntityID, Name
	FROM HumanResources.EmployeeDepartmentHistory EDH
	  JOIN HumanResources.Department
	    ON EDH.DepartmentID = Department.DepartmentID
	  JOIN LastXfer
	    ON EDH.BusinessEntityID = LastXfer.BusinessEntityID
		AND EDH.EndDate = LastXfer.LastEndDate
	)

SELECT Person.BusinessEntityID, FirstName, LastName, Name AS DeptName, PriorDept.DeptName AS PriorDeptName
  FROM Person.Person
    JOIN HumanResources.EmployeeDepartmentHistory EDH
	  ON Person.BusinessEntityID = EDH.BusinessEntityID
	  AND EDH.EndDate IS NULL
	JOIN HumanResources.Department
	  ON EDH.DepartmentID = Department.DepartmentID
	LEFT JOIN PriorDept
	  ON Person.BusinessEntityID = PriorDept.BusinessEntityID;
  