WITH csrYearlySales (OrderYear, ProductID, NumSold)
AS 
(SELECT year(OrderDate) AS OrderYear, ProductID, SUM(OrderQty) AS NumSold
	from Sales.SalesOrderHeader SOH
	  JOIN Sales.SalesOrderDetail SOD
	    ON soh.SalesOrderID = sod.SalesOrderID
	group by YEAR(OrderDate), ProductID)

SELECT OrderYear, ProductID, 
	   LAG(NumSold, 2) OVER (PARTITION BY ProductID ORDER BY OrderYear) AS Year1, 
	   LAG(NumSold) OVER (PARTITION BY ProductID ORDER BY OrderYear) AS Year2, 
       NumSold AS Year3,
	   LEAD(NumSold) OVER (PARTITION BY ProductID ORDER BY OrderYear) AS Year4,
	   LEAD(NumSold,2) OVER (PARTITION BY ProductID ORDER BY OrderYear) AS Year5
	FROM csrYearlySales
	ORDER BY ProductID, OrderYear