WITH csrYearlySales 
     (OrderYear, ProductID, NumSold)
AS 
(SELECT YEAR(OrderDate) AS OrderYear, 
        ProductID, 
        SUM(OrderQty) AS NumSold
   FROM Sales.SalesOrderHeader SOH
     JOIN Sales.SalesOrderDetail SOD
       ON soh.SalesOrderID = sod.SalesOrderID
   GROUP BY YEAR(OrderDate), ProductID)

SELECT ProductID, MIN(NumSold) AS MinSold, MAX(NumSold) AS MaxSold
	FROM csrYearlySales
	GROUP BY ProductID
	ORDER BY ProductID