WITH csrPayHikes (FirstName, LastName, Rate, RateChangeDate, OrigRate, OrigDate, Inc)
AS
(SELECT FirstName, LastName,
       Rate, RateChangeDate,
	   FIRST_VALUE(Rate) OVER (PARTITION BY EPH.BusinessEntityID ORDER BY RateChangeDate),
	   FIRST_VALUE(RateChangeDate) OVER (PARTITION BY EPH.BusinessEntityID ORDER BY RateChangeDate),
	   CAST((100.00 * Rate/FIRST_VALUE(Rate) OVER (PARTITION BY EPH.BusinessEntityID ORDER BY RateChangeDate)-100) AS decimal(6,2)) AS Inc
	FROM Person.Person
	  JOIN [HumanResources].[EmployeePayHistory] EPH
	    ON Person.BusinessEntityID = EPH.BusinessEntityID)

SELECT *
	FROM csrPayHikes
	WHERE Inc <> 0
	ORDER BY LastName, FirstName, RateChangeDate;