WITH csrSalesByProduct (ProductID, OrderDate, NumSold)
AS
(SELECT ProductID, OrderDate, SUM(OrderQty) 
  FROM [Sales].[SalesOrderHeader] SOH
    JOIN [Sales].[SalesOrderDetail] SOD
      ON SOH.SalesOrderID = SOD.SalesOrderDetailID
  GROUP BY ProductID, OrderDate)

  SELECT OrderDate, ProductID, NumSold AS TodaysSales,
       SUM(NumSold) OVER (
         PARTITION BY productID ORDER BY ORDERDATE	
         ROWS BETWEEN 3 PRECEDING AND 3 FOLLOWING) AS WeekSales
   FROM csrSalesByProduct
   ORDER BY ProductID, OrderDate

