WITH EmpsByDept (BusinessEntityID, StartDate, DepartmentID, RandVal)
AS 
(SELECT BusinessEntityID, StartDate, DepartmentID, RAND(CHECKSUM(NEWID()))
	FROM HumanResources.EmployeeDepartmentHistory 
	WHERE EndDate IS null
)
SELECT FirstName, LastName, StartDate, Department.Name,
       ROW_NUMBER() OVER (PARTITION BY Department.DepartmentID ORDER BY RandVal) AS EmployeeRand
	FROM EmpsByDept
	 JOIN HumanResources.Department
	   ON EmpsByDept.DepartmentID = Department.DepartmentID
	 JOIN Person.Person 
	   ON EmpsByDept.BusinessEntityID = Person.BusinessEntityID
	ORDER BY Name, EmployeeRand;

