SELECT DISTINCT CustomerID, OrderDate,
       SUM(SubTotal) OVER (PARTITION BY CustomerID, YEAR(OrderDate)) AS Yearly,
       SUM(SubTotal) OVER (PARTITION BY CustomerID, YEAR(OrderDate), MONTH(OrderDate)) AS Monthly,
       SUM(SubTotal) OVER (PARTITION BY CustomerID, OrderDate) AS Daily,
       SUM(SubTotal) OVER (PARTITION BY CustomerID, YEAR(OrderDate) ORDER BY OrderDate) AS YearlyRunning,
       SUM(SubTotal) OVER (PARTITION BY CustomerID, YEAR(OrderDate), MONTH(OrderDate) ORDER BY OrderDate) AS MonthlyRunning
	 FROM Sales.SalesOrderHeader SOH
	ORDER BY CustomerID, OrderDate;
