WITH csrDailySales (OrderDate, ProductID, NumSold)
AS 
(SELECT OrderDate , ProductID, SUM(OrderQty) AS NumSold
	from Sales.SalesOrderHeader SOH
	  JOIN Sales.SalesOrderDetail SOD
	    ON soh.SalesOrderID = sod.SalesOrderID
	group by OrderDate, ProductID)

SELECT OrderDate, ProductID, 
	   LAG(NumSold) OVER (PARTITION BY ProductID ORDER BY OrderDate) AS PrevDate, 
       NumSold AS CurrDate,
	   LEAD(NumSold) OVER (PARTITION BY ProductID ORDER BY OrderDate) AS FollDate
	FROM csrDailySales
	ORDER BY ProductID, OrderDate