SELECT DISTINCT Orderdate, ProductID,
       SUM(sod.orderqty) OVER (PARTITION BY sod.productID, YEAR(orderdate)) AS Yearly,
       SUM(sod.orderqty) OVER (PARTITION BY sod.productID, YEAR(orderdate), MONTH(orderdate)) AS Monthly,
       SUM(sod.orderqty) OVER (PARTITION BY sod.productID, orderdate) AS Daily
	FROM Sales.SalesOrderHeader SOH
	  JOIN Sales.SalesOrderDetail SOD
	    ON soh.SalesOrderID = sod.SalesOrderID
	ORDER BY ProductID, OrderDate