SELECT DISTINCT OrderDate, ProductID,
       SUM(SOD.OrderQty) OVER (PARTITION BY SOD.ProductID, YEAR(OrderDate)) AS Yearly,
       SUM(SOD.OrderQty) OVER (PARTITION BY SOD.ProductID, YEAR(OrderDate), MONTH(OrderDate)) AS Monthly,
       SUM(SOD.OrderQty) OVER (PARTITION BY SOD.ProductID, OrderDate) AS Daily,
	   MIN(OrderQty) OVER (PARTITION BY ProductID ORDER BY OrderDate) as MinOrder,
	   MAX(OrderQty) OVER (PARTITION BY ProductID ORDER BY OrderDate) as MaxOrder
	FROM Sales.SalesOrderHeader SOH
	  JOIN Sales.SalesOrderDetail SOD
	    ON SOH.SalesOrderID = SOD.SalesOrderID
	ORDER BY ProductID, OrderDate;