SELECT DISTINCT Orderdate, ProductID, 
       SUM(SOD.OrderQty) OVER (PARTITION BY SOD.ProductID, YEAR(OrderDate)) AS Yearly,
       SUM(SOD.OrderQty) OVER (PARTITION BY SOD.ProductID, YEAR(OrderDate), MONTH(OrderDate)) AS Monthly,
       SUM(SOD.OrderQty) OVER (PARTITION BY SOD.ProductID, OrderDate) AS Daily, 
	   CAST(1. * SUM(OrderQty) OVER (PARTITION BY SOD.ProductID, OrderDate)/SUM(SOD.OrderQty) OVER (PARTITION BY SOD.ProductID, YEAR(OrderDate)) * 100 AS decimal(5,2)) AS PctOfYear,
	   CAST(1. * SUM(OrderQty) OVER (PARTITION BY SOD.ProductID, OrderDate)/SUM(SOD.OrderQty) OVER (PARTITION BY SOD.ProductID, YEAR(OrderDate), Month(OrderDate)) * 100 AS decimal(5,2)) AS PctOfMonth
	FROM Sales.SalesOrderHeader SOH
	  JOIN Sales.SalesOrderDetail SOD
	    ON SOH.SalesOrderID = SOD.SalesOrderID
	ORDER BY ProductID, OrderDate;