WITH csrYearlySales (OrderYear, ProductID, NumSold)
AS 
(SELECT year(OrderDate) AS OrderYear, ProductID, SUM(OrderQty) AS NumSold
	from Sales.SalesOrderHeader SOH
	  JOIN Sales.SalesOrderDetail SOD
	    ON soh.SalesOrderID = sod.SalesOrderID
	group by YEAR(OrderDate), ProductID)

SELECT OrderYear, ProductID, 
	   LAG(NumSold) OVER (PARTITION BY ProductID ORDER BY OrderYear) AS PrevYear, 
       NumSold AS CurrYear,
	   LEAD(NumSold) OVER (PARTITION BY ProductID ORDER BY OrderYear) AS FollYear
	FROM csrYearlySales
	ORDER BY ProductID, OrderYear