WITH csrYearlySales (OrderYear, ProductID, NumSold)
AS 
(SELECT year(OrderDate) AS OrderYear, ProductID, SUM(OrderQty) AS NumSold
	from Sales.SalesOrderHeader SOH
	  JOIN Sales.SalesOrderDetail SOD
	    ON soh.SalesOrderID = sod.SalesOrderID
	group by YEAR(OrderDate), ProductID)

SELECT OrderYear, ProductID, NumSold AS Yearly,
       SUM(NumSold) OVER (PARTITION BY productID ORDER BY OrderYear
	                      rows between 1 preceding and current row) AS TwoYear
	FROM csrYearlySales
	ORDER BY ProductID, OrderYear