WITH csrAnnualSales (SalesPersonID, OrderYear, TotalSales)
AS
(SELECT SalesPersonID, YEAR(OrderDate), SUM(SubTotal) AS TotalSales
	FROM [Sales].[SalesOrderHeader]
	WHERE SalesPersonID IS NOT NULL
	GROUP BY SalesPersonID, YEAR(OrderDate))

SELECT SalesPersonID, OrderYear, TotalSales,
	   NTILE(4) OVER (PARTITION BY OrderYear ORDER BY TotalSales DESC) AS Quartile
	FROM csrAnnualSales