WITH csrTenure (DepartmentID, DeptName, BusinessEntityID, DaysInDept)

AS

(SELECT Department.DepartmentID, Department.Name AS DeptName, 
        EDH.BusinessEntityID,
        DATEDIFF(DD,StartDate,GETDATE())
	FROM  HumanResources.EmployeeDepartmentHistory EDH
	 JOIN HumanResources.Department
	   ON EDH.DepartmentID = Department.DepartmentID
	  WHERE EndDate IS null)

SELECT DISTINCT DeptName, 
       COUNT(BusinessEntityID) OVER (PARTITION BY DepartmentID) AS DeptSize,
	   AVG(DaysInDept) OVER (PARTITION BY DepartmentID) AS AvgTenure,
       PERCENTILE_CONT(.25) WITHIN GROUP (ORDER BY DaysInDept) OVER (PARTITION BY DepartmentID) AS Cont25Pctile,
	   PERCENTILE_CONT(.5) WITHIN GROUP (ORDER BY DaysInDept) OVER (PARTITION BY DepartmentID) AS ContMedian,
	   PERCENTILE_CONT(.75) WITHIN GROUP (ORDER BY DaysInDept) OVER (PARTITION BY DepartmentID) AS Cont75Pctile,
       PERCENTILE_DISC(.25) WITHIN GROUP (ORDER BY DaysInDept) OVER (PARTITION BY DepartmentID) AS Disc25Pctile,
	   PERCENTILE_DISC(.5) WITHIN GROUP (ORDER BY DaysInDept) OVER (PARTITION BY DepartmentID) AS DiscMedian,
	   PERCENTILE_DISC(.75) WITHIN GROUP (ORDER BY DaysInDept) OVER (PARTITION BY DepartmentID) AS Disc75Pctile
	FROM csrTenure
 ORDER BY DeptName