WITH TotalSalesBySalesPerson AS 
(SELECT BusinessEntityID, YEAR(OrderDate) AS nYear, SUM(SubTotal) AS TotalSales
from Sales.SalesPerson
	JOIN Sales.SalesOrderHeader
	  ON Sales.SalesPerson.BusinessEntityID = Sales.SalesOrderHeader.SalesPersonID
GROUP BY BusinessEntityID, YEAR(OrderDate)),

RankSalesPerson AS 
(SELECT BusinessEntityID, nYear, TotalSales,
	RANK() OVER (PARTITION BY nYear ORDER BY TotalSales DESC) AS nRank 
	FROM TotalSalesBySalesPerson)

SELECT FirstName, LastName, nYear, TotalSales
	FROM RankSalesPerson
	  JOIN 	Person.Person
	    ON RankSalesPerson.BusinessEntityID = Person.BusinessEntityID
	WHERE nRank <= 5